/*==========================================================
 Copyright (C) 2005 YOKOGAWA ELECTRIC CORPORATION

    ALL RIGHTS RESERVED BY YOKOGAWA ELECTRIC CORPORATION.
THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT
WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING
BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY
AND/OR FITNESS FOR A PARTICULAR PURPOSE.

                            YOKOGAWA ELECTRIC CORPORATION
==========================================================*/
// CommDialog.h
#if !defined(AFX_COMMDIALOG_H__2BB7D549_BBDA_4434_9746_B04AA505304B__INCLUDED_)
#define AFX_COMMDIALOG_H__2BB7D549_BBDA_4434_9746_B04AA505304B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
//
#include "Connection.h"

/////////////////////////////////////////////////////////////////////////////
// CCommDialog

class CCommDialog : public CDialog
{
// RXgNV
public:
	CCommDialog(CWnd* pParent = NULL); //constructor

	//{{AFX_DATA(CCommDialog)
	enum { IDD = IDD_COMM_DIALOG };
	CComboBox	m_comboHdshk;
	CComboBox	m_comboTerminator;
	CComboBox	m_comboFormat;
	CEdit	m_editUser;
	CEdit	m_editPwd;
	CEdit	m_editIp;
	CComboBox	m_comboPort;
	CComboBox	m_comboBaud;
	CComboBox	m_comboAddr;
	CString	m_sIp;
	CString	m_sPwd;
	CString	m_sUser;
	int		m_iWire;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CCommDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV use
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CCommDialog)
	afx_msg void OnRadioGpib();
	afx_msg void OnRadioRs232();
	afx_msg void OnRadioEther();
	virtual void OnOK();
	afx_msg void OnChangeEditUser();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
    HICON m_hIcon;
	BOOL OnInitDialog();
    //void SetOptionsEnable(void);
	CConnection m_connection;
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_COMMDIALOG_H__2BB7D549_BBDA_4434_9746_B04AA505304B__INCLUDED_)
