/*==========================================================
 Copyright (C) 2005 YOKOGAWA ELECTRIC CORPORATION

    ALL RIGHTS RESERVED BY YOKOGAWA ELECTRIC CORPORATION.
THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT
WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING
BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY
AND/OR FITNESS FOR A PARTICULAR PURPOSE.

                            YOKOGAWA ELECTRIC CORPORATION
==========================================================*/
// WT1600Demo.cpp

#include "stdafx.h"
#include "WT1600Demo.h"
#include "CommDialog.h"
#include "MainDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWT1600DemoApp

BEGIN_MESSAGE_MAP(CWT1600DemoApp, CWinApp)
	//{{AFX_MSG_MAP(CWT1600DemoApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWT1600DemoApp instructor

CWT1600DemoApp::CWT1600DemoApp()
{
}

/////////////////////////////////////////////////////////////////////////////
//CWT1600DemoApp object

CWT1600DemoApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CWT1600DemoApp initialize

BOOL CWT1600DemoApp::InitInstance()
{
	AfxEnableControlContainer();

#ifdef _AFXDLL
	Enable3dControls();
#else
	Enable3dControlsStatic();
#endif
	CCommDialog commDlg;
	int nResponse = commDlg.DoModal();
    if (nResponse != IDOK)
	{
		return false;
	}
	CMainDialog mainDlg;
	nResponse = mainDlg.DoModal();
	return false;
}
